%global momorel 6
%global ver 017

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "import distutils.sysconfig as d; print d.get_python_lib()")}


Summary: Tools for building live CD's
Name: livecd-tools
Version: %{ver}
Release: %{momorel}m%{?dist}
License: GPLv2
Group: System Environment/Base
URL: http://git.fedoraproject.org/?p=hosted/livecd

Source0: %{name}-%{version}.tar.bz2
Source1: livecd-Momonga4-minimal.ks
Source2: livecd-Momonga4-desktop-i686.ks
Source3: livedvd-Momonga4-KDE-i686.ks

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: util-linux
Requires: coreutils
Requires: e2fsprogs
Requires: yum >= 3.2.10
Requires: genisoimage
Requires: squashfs-tools
Requires: pykickstart >= 0.96
Requires: syslinux
Requires: dosfstools >= 2.11-2m
Requires: isomd5sum
%ifarch %{ix86} x86_64
Requires: syslinux
%endif
%ifarch ppc ppc64
Requires: yaboot
%endif
BuildRequires: python

Patch0: livecd-tools-017-momonga-LANGandTZ.patch
Patch1: livecd-tools-017-i686.patch
##Patch2: livecd-tools-009-momonga-remount.patch

%description 
Tools for generating live CD's on Fedora based systems including
derived distributions such as RHEL, CentOS and others. See
http://fedoraproject.org/wiki/FedoraLiveCD for more details.

%prep
%setup -q

%patch0 -p1 -b .momo-langtz
%patch1 -p1 -b .i686
##%patch2 -p1 -b .remount

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

install -m644 %{SOURCE1} %{buildroot}/%{_datadir}/livecd-tools
install -m644 %{SOURCE2} %{buildroot}/%{_datadir}/livecd-tools
install -m644 %{SOURCE3} %{buildroot}/%{_datadir}/livecd-tools

rm -f %{buildroot}/%{python_sitelib}/imgcreate/*.pyo
rm -f %{buildroot}/%{python_sitelib}/imgcreate/*.pyc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README HACKING
%{_bindir}/livecd-creator
%{_bindir}/livecd-iso-to-disk
%{_bindir}/livecd-iso-to-pxeboot
%{_bindir}/image-creator
%dir %{_datadir}/livecd-tools
%{_datadir}/livecd-tools/*
%dir %{python_sitelib}/imgcreate
%{python_sitelib}/imgcreate/*.py
#%{python_sitelib}/imgcreate/*.pyo
#%{python_sitelib}/imgcreate/*.pyc


%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (017-6m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (017-5m)
- rebuild against python-2.6.1-1m

* Fri Dec 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (017-4m)
- revise for rpm46 (s/%%patch/%%patch0/)
- License: GPLv2

* Mon Sep 15 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (017-3m)
- add patch1

* Wed Jul 16 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (017-2m)
- Require squashfs-tools

* Wed May 28 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (017-1m)
- update 017-1

* Mon May 26 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (015-2m)
- delete *.pyo and *.pyc

* Mon Apr 21 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (015-1m)
- update 015-1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (009-5m)
- rebuild against gcc43

* Sun Feb 10 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (009-3m)
- add remount patch(Patch2)
- update Momonga4 ks(kick start) files

* Tue Jul  3  2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (009-3m)
- add livecd-Momonga-desktop.ks(Source2)

* Fri Jun  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (009-2m)
- good-bye cdrtools and welcome cdrkit

* Wed Jun  6 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (009-1m)
- update to 009-1

* Thu Apr 26 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (007-1m)
- import from FC
- add Patch0(livecd-tools-007-momonga-i18n.patch)
- add Patch1(livecd-tools-007-localtime.patch)
- add Source1(livecd-Momonga-minimal.ks) and install

* Tue Apr 24 2007 Jeremy Katz <katzj@redhat.com> - 007-1
- Disable prelinking by default
- Disable some things that slow down the live boot substantially
- Lots of tweaks to the default package manifests
- Allow setting the root password (Jeroen van Meeuwen)
- Allow more specific network line setting (Mark McLoughlin)
- Don't pollute the host yum cache (Mark McLoughlin)
- Add support for mediachecking

* Wed Apr  4 2007 Jeremy Katz <katzj@redhat.com> - 006-1
- Many fixes to error handling from Mark McLoughlin
- Add the KDE config
- Add support for prelinking
- Fixes for installing when running from RAM or usb stick
- Add sanity checking to better ensure that USB stick is bootable

* Thu Mar 29 2007 Jeremy Katz <katzj@redhat.com> - 005-3
- have to use excludearch, not exclusivearch

* Thu Mar 29 2007 Jeremy Katz <katzj@redhat.com> - 005-2
- exclusivearch since it only works on x86 and x86_64 for now

* Wed Mar 28 2007 Jeremy Katz <katzj@redhat.com> - 005-1
- some shell quoting fixes
- allow using UUID or LABEL for the fs label of a usb stick
- work with ext2 formated usb stick

* Mon Mar 26 2007 Jeremy Katz <katzj@redhat.com> - 004-1
- add livecd-iso-to-disk for setting up the live CD iso image onto a usb 
  stick or similar

* Fri Mar 23 2007 Jeremy Katz <katzj@redhat.com> - 003-1
- fix remaining reference to run-init

* Thu Mar 22 2007 Jeremy Katz <katzj@redhat.com> - 002-1
- update for new version

* Fri Dec 22 2006 David Zeuthen <davidz@redhat.com> - 001-1%{?dist}
- Initial build.

